

include $(YACLPATH)/control/gnuwin32.ctl

LIBRARY = $(YACLLIB)/libui.a

#
# Comment out the following if you don't want the object code
# optimized:
#
# OPTIMIZE = -O3

OBJECTS =       \
3dlabel.o     \
applic.o      \
arc.o         \
bitmap.o      \
bmpbtn.o      \
bmpushbn.o    \
bmtglbtn.o    \
brush.o       \
btngroup.o    \
canvas.o      \
chord.o       \
cntroler.o    \
color.o       \
combobox.o    \
composit.o    \
containr.o    \
cursor.o      \
dateedit.o    \
dialog.o      \
dsinmem.o     \
dsplrsrc.o    \
dsplsurf.o    \
dwgsurf.o     \
ellipse.o     \
event.o       \
factory.o     \
font.o        \
fontdesc.o    \
graphic.o     \
grutils.o     \
interval.o    \
label.o       \
lineseg.o     \
menu.o        \
monthcal.o    \
numedit.o     \
orbtngrp.o    \
pen.o         \
piewedge.o    \
point.o       \
pswdedit.o    \
pushbtn.o     \
rectangl.o    \
scrolbar.o    \
scrolwin.o    \
shadolin.o    \
shadorec.o    \
shadotrg.o    \
simple.o      \
stddlg.o      \
stencil.o     \
stred.o       \
strseq.o      \
strview.o     \
textedit.o    \
timer.o       \
toglbtn.o     \
vector.o      \
visualob.o    \
vobjcoll.o    \
xrbtngrp.o    \
xrtglbtn.o    \
statui.o      \
mainprog.o    \
mdi.o         \
printjob.o    \
winevt.o      \
copy.o dibutil.o errors.o file.o




.SUFFIXES:

.SUFFIXES: .cxx .o .a


.cxx.o:
	$(CC) $(CCOPTS) -DYACL_UIBLD $(PIC)  $*.cxx
        


all: ui



ui: $(OBJECTS)
	cp mainprog.o $(YACLLIB)
	ar r $(LIBRARY) $(OBJECTS) $(STATIC_OBJS)
	ranlib $(LIBRARY)




3dlabel.o: 3dlabel.cxx

applic.o: applic.cxx

arc.o: arc.cxx

bitmap.o: bitmap.cxx

bmpbtn.o: bmpbtn.cxx

bmpushbn.o: bmpushbn.cxx

bmtglbtn.o: bmtglbtn.cxx

brush.o: brush.cxx

btngroup.o: btngroup.cxx

canvas.o: canvas.cxx

chord.o: chord.cxx

cntroler.o: cntroler.cxx

color.o: color.cxx

combobox.o: combobox.cxx

composit.o: composit.cxx

containr.o: containr.cxx

cursor.o: cursor.cxx

dateedit.o: dateedit.cxx

dialog.o: dialog.cxx

dsinmem.o: dsinmem.cxx

dsplrsrc.o: dsplrsrc.cxx

dsplsurf.o: dsplsurf.cxx

dwgsurf.o: dwgsurf.cxx

ellipse.o: ellipse.cxx

event.o: event.cxx

factory.o: factory.cxx

font.o: font.cxx

fontdesc.o: fontdesc.cxx

graphic.o: graphic.cxx

grutils.o: grutils.cxx

interval.o: interval.cxx

label.o: label.cxx

lineseg.o: lineseg.cxx

menu.o: menu.cxx

monthcal.o: monthcal.cxx

numedit.o: numedit.cxx

orbtngrp.o: orbtngrp.cxx

pen.o: pen.cxx

piewedge.o: piewedge.cxx

point.o: point.cxx

pswdedit.o: pswdedit.cxx

pushbtn.o: pushbtn.cxx

rectangl.o: rectangl.cxx

scrolbar.o: scrolbar.cxx

scrolwin.o: scrolwin.cxx

shadolin.o: shadolin.cxx

shadorec.o: shadorec.cxx

shadotrg.o: shadotrg.cxx

simple.o: simple.cxx

stddlg.o: support/windows/stddlg.cxx
	$(CC) $(CCOPTS) -DYACL_UIBLD $(PIC)  support/windows/stddlg.cxx

stencil.o: stencil.cxx

stred.o: stred.cxx

strseq.o: strseq.cxx

strview.o: strview.cxx

textedit.o: textedit.cxx

timer.o: timer.cxx

toglbtn.o: toglbtn.cxx

vector.o: vector.cxx

visualob.o: visualob.cxx

vobjcoll.o: vobjcoll.cxx

xrbtngrp.o: xrbtngrp.cxx

xrtglbtn.o: xrtglbtn.cxx

statui.o: statui.cxx

mainprog.o: mainprog.cxx

mdi.o: mdi.cxx

printjob.o: printjob.cxx

winevt.o: support/windows/winevt.cxx
	$(CC) $(CCOPTS) -DYACL_UIBLD $(PIC)  support/windows/winevt.cxx


copy.o:  support/windows/copy.c
	gcc $(CCOPTS) support/windows/$*.c
        
dibutil.o:  support/windows/dibutil.c
	gcc $(CCOPTS) support/windows/$*.c
        
errors.o:  support/windows/errors.c
	gcc $(CCOPTS) support/windows/$*.c
        
file.o:  support/windows/file.c
	gcc $(CCOPTS) support/windows/$*.c
        

                

clean:
	-rm -f *.o  $(LIBRARY) $(MEMLIB) $(BASE_SO)
